/*
 * ar_common.h
 *
 *  Created on: 
 *      Author: 
 */

#ifndef EV600A_VENTILATOR_AR_COMMON_H_
#define EV600A_VENTILATOR_AR_COMMON_H_

/*********************
 *      DEFINES
 *********************/
/*Colors*/
#define ARIES_HF_WHITE           lv_color_hex(0xffffff)
#define ARIES_HF_LIGHT           lv_color_hex(0xf3f8fe)
#define ARIES_HF_GRAY            lv_color_hex(0x8a8a8a)
#define ARIES_HF_LIGHT_GRAY      lv_color_hex(0xc4c4c4)
#define ARIES_HF_BLUE            lv_color_hex(0x16223b)
#define ARIES_HF_CONT_BLUE       lv_color_hex(0x202b44)
#define ARIES_HF_DRK_BLUE        lv_color_hex(0x1D3E8B)
#define ARIES_HF_BTN_BLUE        lv_color_hex(0x1F8EFA)
#define ARIES_HF_GREEN           lv_color_hex(0x4cb242)
#define ARIES_HF_RED             lv_color_hex(0xd51732)
#define ARIES_HF_LIGHBLUE        lv_color_hex(0x3C455B)
#define ARIES_HF_SILVER          lv_color_hex(0x8089A8)
#define ARIES_HF_SILVER_LT       lv_color_hex(0xD5DBE5)
#define ARIES_HF_LIGHBLUE_BRDR   lv_color_hex(0x1D3864)
#define ARIES_HF_CHRTGREEN		 lv_color_hex(0x25FF00)
#define ARIES_HF_CHRCYAN		 lv_color_hex(0x00EAFF)
#define ARIES_HF_CHRTPINK		 lv_color_hex(0xF5469C)

/*colors EV600A */
//#define EV600A_MONITOR_RECTANGLE                            lv_color_hex(0x278484)//0x04382D
//#define EV600A_MONITOR_RECTANGLE_OUTLINE             lv_color_hex(0x31A3A3)//0x03241D
#define EV600A_MONITOR_RECTANGLE                              lv_color_hex(0x04382D)
#define EV600A_MONITOR_RECTANGLE_OUTLINE              lv_color_hex(0x03241D)
#define EV600A_MONITOR_BG                                           lv_color_hex(0x023720)
#define EV600A_MONITOR_BL                                           lv_color_hex(0x012A18)
#define EV600A_SET_BG                                                    lv_color_hex(0x023720)
#define EV600A_SET_BL                                                    lv_color_hex(0x012A18)
#define EV600A_pr_graph                                                 lv_color_hex(0xE29103)
#define EV600A_vl_graph                                                  lv_color_hex(0x35D211)
#define EV600A_select_set_parameter                               lv_color_hex(0xD1D700)
#define EV600A_mode_color                                            lv_color_hex(0x12F9B1)

#define EV600A_MANU_BTN                                              lv_color_hex(0x9815E6)
#define EV600A_USER_MENU_BTN                                     lv_color_hex(0xFE20D9)
#define EV600A_HOME_SERVICE_MANU_BTN                     lv_color_hex(0xFA8072)
#define EV600A_ENTER_CALIB                                           lv_color_hex(0x17A589)
#define EV600A_ENTER_CALIB_BG                                     lv_color_hex(0xCCD1D1)
/*Bg positions*/
#define ARIES_HF_BG_NONE (-LV_VER_RES)
#define ARIES_HF_BG_FULL 0
#define ARIES_HF_BG_NORMAL (-2 * (LV_VER_RES / 3))
#define ARIES_HF_BG_SMALL (-5 * (LV_VER_RES / 6))

/*Sizes*/
#define ARIES_HF_BTN_H   (40)
#define ARIES_HF_BTN_W   (100)

/*Animations*/
#define ARIES_HF_ANIM_Y (LV_VER_RES / 20)
#define ARIES_HF_ANIM_DELAY (40)
#define ARIES_HF_ANIM_TIME  (150)
#define ARIES_HF_ANIM_TIME_BG  (300)
#define AR_HFLOW_HOR_RES 1024
#define AR_HFLOW_VER_RES 600


#endif /* LV_EXAMPLES_SRC_AR_VENTILATOR_AR_COMMON_H_ */
