/*
 * ar_valdisplay.c
 *
 *  Created on: 
 *      Author: 
 */

#ifndef EV600A_VENTILATOR_AR_VALDISPLAY_C_
#define EV600A_VENTILATOR_AR_VALDISPLAY_C_
#include "../../../lvgl/lvgl.h"


typedef enum {
    AR_VENT_PEEP,
	AR_VENT_RRATE,
	AR_VENT_MINVOL,
	AR_VENT_VT,
	AR_VENT_FIO2,
	AR_VENT_PPEAK,
	AR_VENT_TRIGGER,
	AR_VENT_MODE
} ar_vent_val_type;

typedef struct lv_valdisplay {
    lv_obj_t * vdcont;
    lv_obj_t * vdrange_low;
    lv_obj_t * vdrange_high;
    lv_obj_t * vdunits;
	lv_obj_t * vdname;
	lv_obj_t * vdvalue;
} lv_valdisplay;


void lv_create_valdisplay(lv_valdisplay *cvaldsply, ar_vent_val_type vtype);
void lv_set_valdisplay_pos(lv_valdisplay *cknob, uint16_t xpos, uint16_t ypos);
#endif
