/*
 * ar_ventalarms.h
 *
 *  Created on: Nov 12, 2020
 *      Author: venka
 */

#ifndef EV600A_VENTILATOR_AR_VENTALARMS_H_
#define EV600A_VENTILATOR_AR_VENTALARMS_H_


#include "../../../lvgl/lvgl.h"

lv_obj_t * lv_create_ventalarms();
extern lv_obj_t * modtxt ;

//high
lv_obj_t * vtslider;
lv_obj_t * mvslider;
lv_obj_t * pipslider;
lv_obj_t * fio2slider;
lv_obj_t * win;
//low
lv_obj_t * fio2slider_low;
lv_obj_t * vtslider_low;
lv_obj_t * mvslider_low ;
lv_obj_t * pipslider_low;

lv_obj_t *alarmCloseBtn;

lv_obj_t * fio2minlbl;
lv_obj_t * fio2maxlbl;
lv_obj_t * vtminlbl;
lv_obj_t * vtmaxlbl;
lv_obj_t * mvminlbl;
lv_obj_t * mvmaxlbl;
lv_obj_t * pipminlbl;
lv_obj_t * pipmaxlbl;

lv_obj_t * TV_upper_limit;
lv_obj_t * PIP_upper_limit;
lv_obj_t * MV_upper_limit;
lv_obj_t * FIO2_upper_limit;

lv_obj_t * TV_low_limit;
lv_obj_t * PIP_low_limit;
lv_obj_t * MV_low_limit;
lv_obj_t * FIO2_low_limit;

lv_obj_t * SIMV_btn ;
lv_obj_t * ippv_btn;
lv_obj_t *st_by_btn;
lv_obj_t * spont_btn;
lv_obj_t *pcm_btn;
lv_obj_t * vcm_btn ;
lv_obj_t *alarmCloseBtn_1;

uint8_t u8_alarm_close_toch_selection;
void ARIES_show_alarms_Window(void);
#endif /* LV_EXAMPLES_SRC_AR_VENTILATOR_AR_VENTALARMS_H_ */
